Skip to main content
GET
/
v1
/
videos
/
{id}
/
clips
/
{clipId}
/
highlights
List highlights on a clip
curl --request GET \
  --url https://api.tella.com/v1/videos/{id}/clips/{clipId}/highlights \
  --header 'Authorization: Bearer <token>'
{
  "masks": [
    {
      "dimensions": {
        "heightPct": 50,
        "widthPct": 50
      },
      "durationMs": 2000,
      "id": "ly_abc123",
      "point": {
        "xPct": 25,
        "yPct": 25
      },
      "startTimeMs": 1000,
      "type": "blur"
    }
  ]
}

Authorizations

Authorization
string
header
required

API key obtained from your Tella account settings

Path Parameters

id
string
required

Video identifier

Example:

"vid_abc123def456"

clipId
string
required

Clip identifier

Example:

"cl_xyz789ghi012"

Response

OK

Masks on a clip

masks
object[]
required